=== modified file 'bluemon-1.3/bluemon.default'
--- bluemon-1.3/bluemon.default	2006-10-19 23:00:01 +0000
+++ bluemon-1.3/bluemon.default	2006-10-19 23:05:09 +0000
@@ -2,6 +2,14 @@
 # BlueMon sample config file
 #
 
+# Disable bluemon by default, 
+# WARNING: Enabling bluemon can break other bluetooth applications
+# as it hooks on the bluetooth stack with a fake MAC address. 
+# kbluetoothd is confirmed to stop working if bluemon is enabled.
+# Taking this in consideration, you can change 'no' to 'yes' below 
+# to enable bluemon.
+BLUEMON_ENABLE='no'
+
 # Bluetooth ID of the device to monitor. 
 # Multiple devices may be separated by spaces.
 # EG: BLUETOOTHID='aa:bb:cc:dd:ee:ff 00:00:00:00:00:00:00'

=== modified file 'bluemon-1.3/bluemon.init'
--- bluemon-1.3/bluemon.init	2006-10-19 23:00:01 +0000
+++ bluemon-1.3/bluemon.init	2006-10-19 23:06:21 +0000
@@ -32,6 +32,10 @@
 case "$1" in
   start)
 	echo -n "Starting $DESC: "
+	if [ "$BLUEMON_ENABLE" != "yes" ]; then
+		echo "disabled in /etc/default/bluemon"
+		exit 0
+	fi
 	start-stop-daemon --start --quiet --pidfile /var/run/$NAME.pid \
 		--exec $DAEMON -- -t $THRESHOLD $BTIDS -i $INTERVAL $STDOUT $NOFORK $VERBOSE $DISCONNECTHACK $QUALITY
 	echo "$NAME."

